Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBServiceIf

All Superinterfaces:
  CIBManagedObjectIf, CIBMonitoredObjectIf

All Known Implementing Classes:
  CIBService

public interface CIBServiceIf
extends CIBMonitoredObjectIf

Provides methods that should be implemented by a CIBService managed object

Method Summary
`void` | `addCIBExternalResource(javax.management.ObjectName objectName)` Allows to add an CIBExternalResource to the list of ConsumedServices
`void` | `addCIBResource(javax.management.ObjectName objectName)` Allows to add a CIBReource objectName in the list of reosurce managed object linked to the service
`void` | `removeCIBExternalResource(javax.management.ObjectName objectName)` Allows to remove an an CIBExternalService from the list of ConsumedServices
`void` | `removeCIBResource(javax.management.ObjectName objectName)` Allows to remove a CIBResource object name from the list associated to the service
`void` | `setCIBApplication(javax.management.ObjectName objectName)` Allows to set the application object Name to which the CIBService is running
`void` | `setUri(java.lang.String theUri)` Set the Uri of the services

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectIf
`getCIBProviderHandler, setCIBProviderHandler`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectIf
`setDescription`

Method Detail

### setCIBApplication

    public void setCIBApplication(javax.management.ObjectName objectName)

  Allows to set the application object Name to which the CIBService is running

  Parameters:
    `objectName` - ObjectName

### setUri

    public void setUri(java.lang.String theUri)

  Set the Uri of the services

  Parameters:
    `theUri` - String

### addCIBResource

    public void addCIBResource(javax.management.ObjectName objectName)

  Allows to add a CIBReource objectName in the list of reosurce managed object linked to the service

  Parameters:
    `objectName` - ObjectName

### removeCIBResource

    public void removeCIBResource(javax.management.ObjectName objectName)
                           throws CIBException

  Allows to remove a CIBResource object name from the list associated to the service

  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### addCIBExternalResource

    public void addCIBExternalResource(javax.management.ObjectName objectName)

  Allows to add an CIBExternalResource to the list of ConsumedServices

  Parameters:
    `objectName` - ObjectName

### removeCIBExternalResource

    public void removeCIBExternalResource(javax.management.ObjectName objectName)
                                   throws CIBException

  Allows to remove an an CIBExternalService from the list of ConsumedServices

  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD